Bug 732460 - [abrt] bluefish-2.0.3-4.fc15: g_cancellable_cancel: Process /usr/bin/bluefish was killed by signal 11 (SIGSEGV)
Summary: [abrt] bluefish-2.0.3-4.fc15: g_cancellable_cancel: Process /usr/bin/bluefish...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluefish
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:38bb28c5e9175532b953c2855c0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 14:32 UTC by Petr Kubiznak
Modified: 2011-12-27 20:34 UTC (History)
1 user (show)

Fixed In Version: bluefish-2.0.3-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-23 16:36:15 UTC


Attachments (Terms of Use)
File: maps (20.59 KB, text/plain)
2011-08-22 14:32 UTC, Petr Kubiznak
no flags Details
File: backtrace (20.70 KB, text/plain)
2011-08-22 14:32 UTC, Petr Kubiznak
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 657163 None None None Never

Description Petr Kubiznak 2011-08-22 14:32:15 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        bluefish
comment:        Tried to close a ?disabled? tab (unknown file).
component:      bluefish
crash_function: g_cancellable_cancel
executable:     /usr/bin/bluefish
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        bluefish-2.0.3-4.fc15
reason:         Process /usr/bin/bluefish was killed by signal 11 (SIGSEGV)
time:           Mon Aug 22 16:14:38 2011
uid:            500
username:       petr

backtrace:      Text file, 21199 bytes
maps:           Text file, 21085 bytes

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1312056873
:/usr/lib/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.i686 (Fedora Project) 1312889270
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1312058965
:/usr/lib/bluefish/htmlbar.so bluefish-2.0.3-4.fc15.i686 (Fedora Project) 1312178519
:/usr/share/locale/cs/LC_MESSAGES/gtk20.mo gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1312058836
:/lib/libutil-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1312058836
:/usr/lib/enchant/libenchant_myspell.so enchant-1:1.6.0-2.fc15.i686 (Fedora Project) 1305315782
:/usr/lib/gconv/ISO8859-1.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1305315773
:/usr/share/locale/cs/LC_MESSAGES/glib20.mo glib2-2.28.8-1.fc15.i686 (Fedora Project) 1312058737
:/usr/lib/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1312058836
:/usr/share/locale/cs/LC_MESSAGES/atk10.mo atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315772
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/share/locale/cs/LC_MESSAGES/bluefish.mo bluefish-shared-data-2.0.3-4.fc15.noarch (Fedora Project) 1312178518
:/usr/lib/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110419-14.fc15.i686 (Fedora Project) 1313733463
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315772
:/usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so ibus-gtk2-1.3.99.20110419-14.fc15.i686 (Fedora Project) 1313733465
:/usr/lib/pango/1.6.0/modules/pango-indic-fc.so pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/lib/libcrypt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1312954009
:/usr/share/locale/cs/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1312056876
:/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1312058737
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1305315770
:/usr/lib/libhunspell-1.2.so.0.0.0 hunspell-1.2.15-2.fc15.i686 (Fedora Project) 1305315782
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1305315773
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1312058737
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1312058965
:/usr/share/locale/cs/LC_MESSAGES/bluefish_plugin_about.mo bluefish-shared-data-2.0.3-4.fc15.noarch (Fedora Project) 1312178518
:/usr/lib/bluefish/snippets.so bluefish-2.0.3-4.fc15.i686 (Fedora Project) 1312178519
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1305315771
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315766
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305315794
:/usr/bin/bluefish bluefish-2.0.3-4.fc15.i686 (Fedora Project) 1312178519
:/usr/share/fonts/dejavu/DejaVuSansMono-BoldOblique.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315768
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1312056876
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315768
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305315796
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.i686 (Fedora Project) 1305315862
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1312267673
:/usr/lib/bluefish/about.so bluefish-2.0.3-4.fc15.i686 (Fedora Project) 1312178519
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-1.fc15.i686 (Fedora Project) 1312058824
:/usr/share/fonts/dejavu/DejaVuSansMono-Oblique.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315768
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305315770
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1312058737
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/share/locale/cs/LC_MESSAGES/libc.mo glibc-common-2.14-5.i686 (Fedora Project) 1312954009
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1312058965
:/usr/lib/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/usr/share/locale/cs/LC_MESSAGES/gtk20-properties.mo gtk2-devel-2.24.4-2.fc15.i686 (Fedora Project) 1312217569
:/usr/lib/bluefish/entities.so bluefish-2.0.3-4.fc15.i686 (Fedora Project) 1312178519
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1312058737
:/usr/share/locale/cs/LC_MESSAGES/bluefish_plugin_snippets.mo bluefish-shared-data-2.0.3-4.fc15.noarch (Fedora Project) 1312178518
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/share/fonts/lohit-tamil/Lohit-Tamil.ttf lohit-tamil-fonts-2.4.5-9.fc15.noarch (Fedora Project) 1305315767
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1312267656
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/pango/1.6.0/modules/pango-indic-lang.so pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/share/locale/cs/LC_MESSAGES/bluefish_plugin_htmlbar.mo bluefish-shared-data-2.0.3-4.fc15.noarch (Fedora Project) 1312178518
:/usr/lib/libenchant.so.1.6.0 enchant-1:1.6.0-2.fc15.i686 (Fedora Project) 1305315782
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.i686 (Fedora Project) 1312267657
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1305315774
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.i686 (Fedora Project) 1312058495
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.i686 (Fedora Project) 1305315807
:/usr/share/locale/cs/LC_MESSAGES/bluefish_plugin_entities.mo bluefish-shared-data-2.0.3-4.fc15.noarch (Fedora Project) 1312178518
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1312954023
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1305315773
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315768
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1312058737
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315770
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315766
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.i686 (Fedora Project) 1313586667
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1305315798
:/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc wqy-zenhei-fonts-0.9.46-2.fc15.noarch (Fedora Project) 1305315769
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1305315772

environ:
:XDG_SESSION_ID=1
:HOSTNAME=petr-hp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=a81653b5716d40967198792c00000010-1313988883.282208-1300387388
:GNOME_KEYRING_CONTROL=/tmp/keyring-yWO2Ge
:IMSETTINGS_MODULE=none
:USER=petr
:USERNAME=petr
:MAIL=/var/spool/mail/petr
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/petr/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/petr
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1916
:LANG=cs_CZ.utf8
:GDM_LANG=cs_CZ.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/petr
:SHLVL=1
:LOGNAME=petr
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-r5xAxD38zi,guid=d10d41dfa9a2ba6a4126485a000000b3
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/petr
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-petr-RVEZr6/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1924,unix/unix:/tmp/.ICE-unix/1924
:ORBIT_SOCKETDIR=/tmp/orbit-petr
:SSH_AUTH_SOCK=/tmp/keyring-yWO2Ge/ssh
:GPG_AGENT_INFO=/tmp/keyring-yWO2Ge/gpg:0:1

var_log_messages:
:Aug 22 16:14:38 petr-hp kernel: [28187.659648] bluefish[3349]: segfault at 626 ip 45290cc7 sp bffe19b0 error 4 in libgio-2.0.so.0.2800.8[4526c000+12a000]
:Aug 22 16:14:40 petr-hp abrt[8532]: saved core dump of pid 3349 (/usr/bin/bluefish) to /var/spool/abrt/ccpp-2011-08-22-16:14:38-3349.new/coredump (93716480 bytes)

Comment 1 Petr Kubiznak 2011-08-22 14:32:17 UTC
Created attachment 519297 [details]
File: maps

Comment 2 Petr Kubiznak 2011-08-22 14:32:20 UTC
Created attachment 519298 [details]
File: backtrace

Comment 3 Paul Howarth 2011-08-23 13:33:53 UTC
Reported upstream: https://bugzilla.gnome.org/show_bug.cgi?id=657163

Comment 4 Fedora Update System 2011-12-12 12:48:03 UTC
bluefish-2.0.3-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bluefish-2.0.3-5.el6

Comment 5 Fedora Update System 2011-12-12 12:48:55 UTC
bluefish-2.0.3-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bluefish-2.0.3-5.fc15

Comment 6 Fedora Update System 2011-12-12 12:49:27 UTC
bluefish-2.0.3-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bluefish-2.0.3-5.fc16

Comment 7 Fedora Update System 2011-12-22 22:33:19 UTC
bluefish-2.0.3-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-12-22 22:39:17 UTC
bluefish-2.0.3-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-12-27 20:34:25 UTC
bluefish-2.0.3-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.